import React from 'react';
import {ItemBox} from '@commonComp';
import AddAssistCheck from '../AddAssistCheck';

import styles from './index.less'
class AssistCheck extends React.Component {
    constructor(props){
        super(props);
        
    }

    render(){
        const {list,assistLabel,handleChangeValue,handleSign,handleDelAssist,handleChangeAssistValue,handleChangeDate,isRead} = this.props;
        return (
            <div className={styles.wrapper}>
                <div className={styles.top}>
                    <span>辅检结果数据</span>
                    {/* <button>导入化验结果</button> */}
                </div>
                <ItemBox 
                    className={styles.title}
                    title={'辅检'}
                    editable={false}
                    border={true}
                    marginTop={'20px'}
                >
                    <div style={{padding:'10px',boxSizing:'border-box'}} >
                        <AddAssistCheck 
                            handleChangeValue={handleChangeValue}
                            list={list}
                            handleSign={handleSign}
                            assistLabel={assistLabel}
                            handleDelAssist={handleDelAssist}
                            handleChangeAssistValue={handleChangeAssistValue}
                            handleChangeDate={handleChangeDate}
                            isRead={isRead}
                        >

                        </AddAssistCheck>
                    </div>
                </ItemBox>
            </div>
        )
    }
}

export default AssistCheck;